using System.Diagnostics;
using NUnit.Framework;

namespace m3uTool.Tests
{
    [TestFixture]
    public class Mp4EncodingOptionsTests
    {
        [Test]
        public void Mp4EncodingOptionsTest()
        {
            var e = new Mp4EncodingOptions();
            e.RawInputChannels = ChannelMode.SingleChannel;
            string arguments = e.GetCommandLineArguments();
            Debug.WriteLine(arguments);

            e = new Mp4EncodingOptions();
            e.OutputFilename = "har";
            Debug.WriteLine(e.GetCommandLineArguments());

            e.InputFiles = new[] {"input.txt"};
            Debug.WriteLine(e.GetCommandLineArguments());
        }
    }
}